#ifndef __PINETIME_PLATFORM_NRF52_INTERRUPTHANDLER_H__
#define __PINETIME_PLATFORM_NRF52_INTERRUPTHANDLER_H__

#include <cstdint>

#include "interrupt_interface.h"

namespace pinetime::platform::nrf52 {

class InterruptHandler : public pinetime::interfaces::InterruptHandlerInterface
{
    public:
        InterruptHandler(uint32_t);

        void handle() override;
        void enable() override;
        void disable() override;
};

}

#endif
